Spring Boot 针对 Java 开发人员的安装指南
< 返回列表时间: 2018-12-01来源:OSCHINA
【围观】麒麟芯片遭打压成绝版,华为亿元投入又砸向了哪里?>>>
Spring Boot 可以使用经典的开发工具或者使用安装的命令行工具。不管使用何种方式,你都需要确定你的 Java 版本为 Java SDK v1.8 或者更高的版本。在你开始安装之前,你需要确定你当前安装的 Java 版本满足系统运行的需要。
你可以使用下面的命令进行查看: $ java -version
如果你是 Java 项目开发的新手或者你希望实践使用 Spring Boot。你应该使用 Spring Boot 命令行工具( Spring Boot CLI ),否则的话,请阅读有关经典安装指南。
针对 Java 开发人员的安装指南
对于Java 开发者来说,使用 Spring Boot 就跟使用其他 Java 库一样,只需要在你的 classpath 下引入适当的 spring-boot-*.jar 文件。
Spring Boot不需要集成任何特殊的工具,所以你可以使用任何IDE或文本编辑器;同时,Spring Boot应用也没有什么特殊之处,你可以像对待其他Java程序那样运行,调试它。
尽管可以拷贝 Spring Boot jars,但我们还是更加建议你使用支持依赖管理的构建工具,比如 Maven 或 Gradle。
Maven 安装
Spring Boot 兼容 Apache Maven 3.3 或更高版本。如果本地没有安装Maven,你可以参考 maven.apache.org 上的指南在你本地安装 Maven。
在很多操作系统中,Maven 可以通过包管理器进行安装。如果你使用 OSX Homebrew 操作系统,你可以考虑使用 brwe 安装 Maven。
在 Ubuntu 中,你可以运行 sudo apt-get install 命令来安装 Maven。
Windows 用户,如果你使用了 Chocolatey ,你可以从弹出的管理员控制台中运行 choco install mave n 命令。
Spring Boot依赖使用的 groupId 为 org.springframework.boot 。
通常,你的 Maven POM 文件会继承 spring-boot-starter-parent 工程,并声明一个或多个 Starters 依赖。此外,Spring Boot提供了一个可选的 Maven 插件 ,用于创建可执行的 jars。
下面的 XML 文件中显示了一个常用的 pom.xml 文件。
<? xml version = "1.0" encoding = "UTF-8" ?>
< project
xmlns = " http://maven.apache.org/POM/4.0.0 "
xmlns:xsi = " http://www.w3.org/2001/XMLSchema-instance " xsi:schemaLocation = " http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd " >
< modelVersion > 4.0.0 </ modelVersion >
< groupId > com.example </ groupId >
< artifactId >myproject</ artifactId >
< version > 0.0.1-SNAPSHOT </ version >
<!-- Inherit defaults from Spring Boot -->
< parent >
< groupId > org.springframework.boot </ groupId >
< artifactId >spring-boot-starter-parent</ artifactId >
< version > 2.1.0.RELEASE </ version >
</ parent >
<!-- Add typical dependencies for a web application -->
< dependencies >
< dependency >
< groupId > org.springframework.boot </ groupId >
< artifactId >spring-boot-starter-web</ artifactId >
</ dependency >
</ dependencies >
<!-- Package as an executable jar -->
< build >
< plugins >
< plugin >
< groupId > org.springframework.boot </ groupId >
< artifactId >spring-boot-maven-plugin</ artifactId >
</ plugin >
</ plugins >
</ build >
</ project >

通常来说 spring-boot-starter-parent 是使用 Spring Boot 的一种不错的方式,但它可能并不总是最合适的。有时你可能需要继承一个不同的父 POM,或者不喜欢我们的默认配置。
在这种情况下,你可以使用 import 作用域(import scope)来替代默认的父 POM 继承,具体请查看:这种替代方案,具体查看 Section 13.2.2, “Using Spring Boot without the Parent POM” 页面中的内容。
Gradle 安装
Spring Boot 现在能够兼容 Gradle 4.4 及其后续版本。如果你的系统中还没有安装 Gradle, 你可以参考 gradle.org 页面中的内容。
Spring Boot 的依赖可通过 groupId 为 org.springframework.boot 来进行声明。通常,你的项目将声明一个或多个 “Starters” 依赖。Spring Boot 同时还提供了一个有用的 Gradle plugin 插件。这个插件通常可以用来简化依赖声明和创建可以执行的 jars。
Gradle Wrapper
当你需要构建项目时,Gradle Wrapper提供一种有效的获取 Gradle 的方式。它是一小段脚本和库,跟你的代码一块提交,用于启动构建进程,具体参考页面 docs.gradle.org/4.2.1/userguide/gradle_wrapper.html 中的内容。
更多有关开始使用 Spring Boot 和 Gradle 的细节可以在 Getting Started section 页面中的 Gradle 插件参考指南中找到。

https://www.cwiki.us/display/SpringBootZH/Installing+Spring+Boot
热门排行